Bug 506687 - libvir: error : could not connect to qemu:///system
libvir: error : could not connect to qemu:///system
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.4
All Linux
medium Severity medium
: beta
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 06:48 EDT by Alex Jia
Modified: 2009-12-14 16:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-19 01:22:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Jia 2009-06-18 06:48:15 EDT
Description of problem:
Failed to open connection to the hypervisor
libvir: error : could not connect to qemu:///system

Version-Release number of selected component (if applicable):
[root@dhcp-66-70-18 tmp]# rpm -qa|grep kvm
kvm-83-76.el5
kvm-qemu-img-83-76.el5
etherboot-zroms-kvm-5.4.4-10.el5
kmod-kvm-83-76.el5
[root@dhcp-66-70-18 tmp]# rpm -qa|grep libvirt
libvirt-cim-0.5.5-2.el5
libvirt-devel-0.6.3-10.el5
libvirt-0.6.3-10.el5
libvirt-debuginfo-0.6.3-10.el5
libvirt-python-0.6.3-10.el5

How reproducible:
virsh list

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
the issue will been resolved,if we create manually connection to hypervisor,e.g by virt-manager
Comment 1 Daniel Berrange 2009-06-18 06:56:09 EDT
Please provides steps to reproduce the problem.
Comment 2 Alex Jia 2009-06-18 08:18:50 EDT
1.install latest version os and virtualization component,e.g rhel5.4 and kvm and libvirt.
2.login system and input commands line "virsh list"
Comment 3 Daniel Berrange 2009-06-18 09:43:18 EDT
Works fine for me with current nightly 5.4 spin  http://qafiler.bos.redhat.com/redhat/nightly/RHEL5.4-Server-20090618.nightly/5/x86_64/os/

Please check whether 'libvirtd' is running. 

If it is running, then stop it and run it manually with debugging 

  LIBVIRT_DEBUG=1 /usr/sbin/libvirtd

And then try to connect against with virsh, also with debugging turned on

  LIBVIRT_DEBUG=1 virsh list
Comment 4 Alex Jia 2009-06-19 00:51:26 EDT
I renew install RHEL5.4-Server-20090618.nightly,and verify again,this issue don't existent,"virsh list" commands run well.
Comment 5 Alex Jia 2009-06-19 00:54:24 EDT
[root@dhcp-66-70-18 ~]# uname -a
Linux dhcp-66-70-18.nay.redhat.com 2.6.18-153.el5 #1 SMP Wed Jun 10 17:53:33 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
[root@dhcp-66-70-18 ~]# rpm -qa|grep kvm
etherboot-zroms-kvm-5.4.4-10.el5
kvm-qemu-img-83-76.el5
kmod-kvm-83-76.el5
kvm-83-76.el5
[root@dhcp-66-70-18 ~]# rpm -qa|grep libvirt
libvirt-python-0.6.3-10.el5
libvirt-0.6.3-10.el5
libvirt-0.6.3-10.el5
[root@dhcp-66-70-18 ~]# lsmod|grep kvm
kvm_intel              85992  0
kvm                   222368  2 ksm,kvm_intel
[root@dhcp-66-70-18 ~]# virsh list
 Id Name                 State
----------------------------------

Note You need to log in before you can comment on or make changes to this bug.